%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	UUlib
Summary:	Convert::UUlib - Perl interface to the uulib library
Summary(pl.UTF-8):	Convert::UUlib - interfejs Perla dla biblioteki uulib
Name:		perl-Convert-UUlib
Version:	1.33
Release:	10
Epoch:		2
# same as perl, but library is GPL
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Convert/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d4e3330562e5d4f6c022b0a0619a2c71
URL:		http://search.cpan.org/dist/Convert-UUlib/
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::UUlib Perl module is an interface to the uulib
decoding/encoding library (a.k.a uudeview/uuenview).

%description -l pl.UTF-8
Moduł Perla Convert::UUlib stanowi interfejs Perla dla biblioteki
kodującej/rozkodowującej uulib (nazywanej też uudeview/uuenview).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example-decoder
%{perl_vendorarch}/Convert/*
%dir %{perl_vendorarch}/auto/Convert/UUlib
%attr(755,root,root) %{perl_vendorarch}/auto/Convert/UUlib/UUlib.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Convert-UUlib.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> fc7de99
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d886820
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 556d6bd
- x32 rebuild
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 19d59bf
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 1bf909e
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b32ed10
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 7186e00
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 2b954f4
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 0c7412f
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e7357f
- release 2

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 79091f5
- updated to 1.33

* Mon Oct 19 2009 amateja <amateja@pld-linux.org> f19378c
- updated to 1.32

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> a785dd9
- updated to 1.12

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> dd2dad5
- release 6

* Thu Mar 27 2008 jezik <jezik@pld-linux.org> 113a932
- pointless BR bump dropped (thx to glen, and sorry for the mistake ;-)

* Wed Mar 26 2008 jezik <jezik@pld-linux.org> 59ba379
- perl 5.10

* Tue Mar 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c2d8a07
- rel 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f8b473c
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 3df3592
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> a554287
- up to 1.09

